SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   OS (UNIX)  >   Solaris Vendors:   Oracle, Sun
Solaris Flaws Let Remote and Local Users Obtain Elevated Privileges and Deny Service and Let Local Users Access and Modify Data
SecurityTracker Alert ID:  1038292
SecurityTracker URL:  http://securitytracker.com/id/1038292
CVE Reference:   CVE-2015-4852, CVE-2016-5551, CVE-2017-3474, CVE-2017-3497, CVE-2017-3498, CVE-2017-3510, CVE-2017-3516, CVE-2017-3551, CVE-2017-3564, CVE-2017-3565, CVE-2017-3578, CVE-2017-3580, CVE-2017-3582, CVE-2017-3584, CVE-2017-3585, CVE-2017-3621, CVE-2017-3622, CVE-2017-3623   (Links to External Site)
Date:  Apr 19 2017
Impact:   Denial of service via local system, Denial of service via network, Disclosure of system information, Disclosure of user information, Modification of system information, Modification of user information, User access via local system, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 10, 11.3
Description:   Multiple vulnerabilities were reported in Solaris. A remote or local user can obtain elevated privileges on the target system. A remote authenticated or local user can cause denial of service conditions on the target system. A local user can access and modify data on the target system. A remote user can modify data on the target system.

A remote user can exploit a flaw in the Solaris Kernel RPC component to gain elevated privileges [CVE-2017-3623].

A remote user can exploit a flaw in the StorageTek Tape Analytics SW Tool WebLogic Server component to gain elevated privileges [CVE-2015-4852].

A local user can exploit a flaw in the Sun ZFS Storage Appliance Kit (AK) RAS subsystems component to gain elevated privileges [CVE-2017-3578].

A local user can exploit a flaw in the Oracle SuperCluster Specific Software Backup/Restore Utility component to gain elevated privileges [CVE-2017-3582].

A remote user can exploit a flaw in the Sun ZFS Storage Appliance Kit (AK) RAS subsystems component to gain elevated privileges [CVE-2017-3580].

A local user can exploit a flaw in the Solaris RBAC component to gain elevated privileges [CVE-2017-3564].

A local user can exploit a flaw in the Solaris RBAC component to access and modify data [CVE-2017-3565].

A local user can exploit a flaw in the Solaris Common Desktop Environment (CDE) component to gain elevated privileges [CVE-2017-3622].

A local user can exploit a flaw in the Sun ZFS Storage Appliance Kit (AK) RAS subsystems component to gain elevated privileges [CVE-2017-3584].

A remote authenticated user can exploit a flaw in the Solaris Kernel Zones virtualized NIC driver component to modify data [CVE-2017-3510].

A remote authenticated user can exploit a flaw in the Solaris Kernel Zones virtualized NIC driver component to cause denial of service conditions [CVE-2017-3516].

A remote user can exploit a flaw in the Sun ZFS Storage Appliance Kit (AK) IPC Frameworks component to cause denial of service conditions [CVE-2017-3621].

A remote user can exploit a flaw in the Solaris Remote Administration Daemon component to partially access data, partially modify data, and partially deny service [CVE-2017-3497].

A local user can exploit a flaw in the Solaris Smartcard Libraries component to partially access data, partially modify data, and deny service [CVE-2017-3551].

A remote user can exploit a flaw in the Sun ZFS Storage Appliance Kit (AK) User Interface subsystem component to partially modify data [CVE-2017-3585].

A local user can exploit a flaw in the Solaris Kernel component to partially access data [CVE-2017-3498].

A local user can exploit a flaw in the Solaris Zone component to partially access data [CVE-2017-3474].

A local user can exploit a flaw in the Solaris Cluster NAS device addition component to partially access data [CVE-2016-5551].

Can Demirel and Faruk Unal of Biznet Bilisim A.S reported one of these vulnerabilities.

Impact:   A remote user can modify data on the target system.

A local user can cause denial of service conditions on the target system.

A remote authenticated user can cause denial of service conditions on the target system.

A local user can obtain data on the target system.

A local user can obtain elevated privileges on the target system.

A local user can modify data on the target system.

A remote user can gain elevated privileges on the target system.

Solution:   The vendor has issued a fix as part of the April 2017 Oracle Critical Patch Update.

The vendor advisory is available at:

http://www.oracle.com/technetwork/security-advisory/cpuapr2017-3236618.html

Vendor URL:  www.oracle.com/technetwork/security-advisory/cpuapr2017-3236618.html (Links to External Site)
Cause:   Not specified

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2017, SecurityGlobal.net LLC